Not Working Noté 3 sur 5 étoiles

latest version 4.9.11 does not work anywhere. I downgraded back to 4.9.10 and it works. Waiting for an update that fixes the issue of not being able to download anything on the latest version.

Cette critique est pour une version précédente du module (4.9.11). 

Please check the developer's notes (at the bottom) for a resolution of this issue.